Subject: bug#8397: 24.0.50; defcustom :type face

From: "Drew Adams" <[email-masked]>
Date: Mon, 6 Feb 2012 07:23:39 -0800

> > If you make the *Completions* window dedicated (e.g. (setq
> > special-display-regexps '("[ ]?[*][^*]+[*]"))), then M-TAB switches
> > the focus to the *Completions* frame each time you hit it.  
> > That means you cannot just continue to type text into the
> > edit field - you must first reselect the customize frame
> > to give it focus.
> 
> This is an inherent limitation of special-display-regexps.  It is
> possible to use display-buffer-alist to get the same effect while
> leaving an exception for *Completions*.

Sorry, but that is just irrelevant.

Obviously, I _want_ *Completions* to be special-display, or I wouldn't have
provided a recipe that makes it so.

Saying that the problem I describe does not exist if you do not follow the
recipe that shows the problem is, well, a bit of a cop-out, don't you think?

The problem described is a problem with a special-display *Completions* buffer.
It is not a limitation of `special-display-regexps'.  There is nothing
particular that `display-buffer-alist' offers to solve this problem, AFAIK.
What's required is redirecting the *Completions* frame focus to the minibuffer.